Hallo, Gast! (Registrieren)

Letzte Ankündigung: MyBB 1.8.8 veröffentlicht (17.10.16)


Benutzer, die gerade dieses Thema anschauen: 1 Gast/Gäste
Upgrade Fehlermeldung
#1
Question 
Hallöchen alle zusammen!

Ich administriere ein Mybb-Forum das auf einer alten Plattform läuft - php 4.3 und mysql 4.0.18.
Ich wollte dennoch, aus den Sicherheitsgründen, ein Upgrade auf 1.4.13 durchführen und bekomme bei dem Aufrufen der Upgrade.php folgende Fehlermerldung:

Code:
Fatal error: [SQL] [1193] Unknown system variable 'NAMES'
SET NAMES 'utf8' in /home/httpd/vhosts/xyz/httpdocs/inc/db_mysql.php on line 544

Fatal error: [SQL] [1146] Table 'sonnenlicht.datacache' doesn't exist
SELECT title,cache FROM datacache in /home/httpd/vhosts/xyz/httpdocs/inc/db_mysql.php on line 544

Was kann ich da tun, um das zu umgehen?

MfG, GM!
So, ich nochmal! Big Grin

Ich hab nun folgendes versucht:

Alte Datenbank exportiert -> in ne XAMPP Umgebung importiert, mit allen Dateien und so -> Upgrade durchgeführt -> Datenbank mit SQL-Kompatibilitätsmodus exportiert -> alte Datenbank gelöscht, und neue importiert.

Dachte das würde vielleicht klappen, aber bekomme diesen Fehler:
Code:
MyBB SQL Error

MyBB has experienced an internal SQL error and cannot continue.

SQL Error:
    1193 - Unknown system variable 'NAMES'
Query:
    SET NAMES 'utf8'

Kann ich diesen Befehl irgendwie umgehen?

MfG, GM!
Wer eine Wahrheit verbergen will, braucht sie nur offen auszusprechen - sie wird einem ja doch nicht geglaubt.
(Charles Talleyrand)
#2
Deine MySQL-Version scheint zu alt zu sein.
[Bild: banner.png]

Bitte die Foren-Regeln beachten und im Profil die verwendete MyBB-Version angeben.
#3
Hi Dragon!

Ja, das hab ich ja schon oben geschrieben! ;-)

Hast einen Tipp wie ich diese Abfrage umgehen kann?

Oder ist es sinnvoller wieder auf 1.2 umzusteigen bei diesen Umständen?

LG, GM!
Wer eine Wahrheit verbergen will, braucht sie nur offen auszusprechen - sie wird einem ja doch nicht geglaubt.
(Charles Talleyrand)
#4
Will dein Hoster MySQL nicht aktualisieren?
[Bild: banner.png]

Bitte die Foren-Regeln beachten und im Profil die verwendete MyBB-Version angeben.
#5
Nun die Möglichkeit das anzusprechen besteht sicher - aber ich betreue das Forum da nur - nicht die Hostingsachen. Darum wollte ich erstmal eine Lösung erfragen, ob man das vielleicht so noch hinbiegen kann. Andernfalls geb ich dem anderen Admin bescheid, dass er den Provider anschreiben sollte.
Wer eine Wahrheit verbergen will, braucht sie nur offen auszusprechen - sie wird einem ja doch nicht geglaubt.
(Charles Talleyrand)
#6
Öffne die Datei inc/config.php und suche nach:
PHP-Code:
$config['database']['encoding'] = 'utf8'
Ersetzen durch:
PHP-Code:
$config['database']['encoding'] = ''

Gruß,
Michael
[Bild: banner.png]
Support erfolgt NUR im Forum!
Bitte gelöste Themen als "erledigt" markieren.
Beiträge mit mangelhafter Rechtschreibung/Grammatik werden kommentarlos gelöscht.
#7
Super - vielen Dank Michael! Das hat geholfen.
Komischerweise mußte ich nun nochmal die Upgraderoutine durchlaufen lassen, aber das war nicht weiter schlimm!

LG, GM!
Wer eine Wahrheit verbergen will, braucht sie nur offen auszusprechen - sie wird einem ja doch nicht geglaubt.
(Charles Talleyrand)